MonoMac 0.0.0.0 System.Object Settings used for configuring the AVCaptureVideoDataOutput object. Users will typically create an instance of the AVVideoSettings class and set the parameters for video capture there. These can then be aassigned to the property in . avcaptureframes
- Constructor
  0.0.0.0
  Initializes an empty instance.
- Constructor
  0.0.0.0
  System.Obsolete("Use PixelBufferAttributes")
  To be added.
  Initializes the settings with the specified pixel format type.
- Property
  0.0.0.0
  System.Obsolete("Use PixelBufferAttributes")
  System.Nullable<MonoMac.CoreVideo.CVPixelFormatType> The desired video pixel format to use.. If null, this means that the setting was not set, otherwise the desired pixel format.
- Method
  0.0.0.0
  System.Obsolete("Use PixelBufferAttributes")
  MonoMac.Foundation.NSDictionary Converts the AVVideoSettings to an NSDictionary that can be used to pass to the . The NSDictionary with the keys and values that would typically be passed to the WeakVideoSettings in . You can use the resulting dictionary to debug, inspect the settings or even add features that were not initially supported by MonoMac.